Package org.eclipse.osgi.launch

# Class EquinoxFactory

java.lang.Object
org.eclipse.osgi.launch.EquinoxFactory

All Implemented Interfaces:
  `ConnectFrameworkFactory`, `FrameworkFactory`

public class EquinoxFactory extends Object implements FrameworkFactory, ConnectFrameworkFactory
The framework factory implementation for the Equinox framework.

Since:
  3.5

## Constructor Summary

Constructors
Constructor
Description
`EquinoxFactory()`

## Method Summary

Modifier and Type
Method
Description
`Framework`
`newFramework(Map<String,String> configuration)`
`Framework`
`newFramework(Map<String,String> configuration, ModuleConnector moduleConnector)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EquinoxFactory

public EquinoxFactory()

## Method Details

### newFramework

public Framework newFramework(Map<String,String> configuration)

Specified by:
  `newFramework` in interface `FrameworkFactory`

### newFramework

public Framework newFramework(Map<String,String> configuration, ModuleConnector moduleConnector)

Specified by:
  `newFramework` in interface `ConnectFrameworkFactory`